<script setup lang="ts">

import CardDropdownItem from "@/components/atoms/card/vertical-card/CardDropdownItem.vue";

defineProps<{
  link?: null | String,
  action?: null | Function,
}>()
</script>

<template>
  <CardDropdownItem>
    <RouterLink :to="link" v-if="link" class="p-2 w-full h-full">
      <slot/>
    </RouterLink>
    <button @click="action" v-else-if="action" class="p-2 w-full h-full text-left">
      <slot/>
    </button>
  </CardDropdownItem>
</template>